<?php session_start();
date_default_timezone_set('America/Bogota');
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']='';
menu();

//Quien tenga permiso de aprobación de: Aprobación de novedades
if (substr($_SESSION['acceso_validar'],29,1)=='1' || ( ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['multiple']) && $_SESSION['id_validar']!='0')) {
	//Tiene permisos para aprobar novedades
}else{
	//No tiene permisos para registrar novedades
	echo "<center><b>No tienes permisos para acceder a este modulo</b></center>";
	exit;
}

//Obtengo la fecha desde que inicia el periodo
$fecha_inicio_periodo=$row['desde'];
$fecha_fin_periodo=$row['hasta'];
$desperiodo= $fecha_inicio_periodo." al ".$fecha_fin_periodo;
$cargado_por=$_SESSION['nombre_validar'];

//Solicitar notificacion de novedades
$accion = $_REQUEST["accion"];
$novedades_enviadas_a_aprobacion=0;
if ($accion == 'notificacion_g6584'){
	//Envia correo a gerente, a recursos humanos y Saireh
	//Inserto en tabla historico_aprobaciones la solicitud de aprobación
	$fecha_registro = date('Y-m-d H:i:s');
	$query_insert="INSERT INTO historico_aprobaciones (`position_number`, `accion`, `desperiodo`, `fecha_solicitud`) VALUES ('".$_SESSION['position_number']."', 'aprobacion_ejecutada','$desperiodo','$fecha_registro')";
	$resul_insert = mysqli_query($enlace,$query_insert);

	//Envía correo
	//Datos del supervisor
	$nombre_usuario= $_SESSION['nombre_validar'];
	//Consulta dirección de correos a enviar, según el gerente de cada empleado que se haya aprobado la novedad
	$query_email="SELECT e_mail FROM tab_usuario WHERE position_number = '".$_SESSION['position_number']."'";
	$resul_email = mysqli_query($enlace,$query_email) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$reg_email=mysqli_fetch_array($resul_email);
	$correo_usuario = $reg_email['e_mail'];

	//Enviar correo a Supervisor y RRHH
	$correo_rrhh = 'GCURBELO@FORD.COM, BSALAZA3@FORD.COM, NOMINA.FORD@SAIREH.COM';
	$asunto = $nombre_usuario.' ha aprobado novedades';
	$email = 'info@saireh-nomina.com';
	$mensaje = $nombre_usuario.' ha APROBADO las novedades cargadas para el período: '.$fecha_inicio_periodo.' al '.$fecha_fin_periodo;
	$destinatario=$correo_usuario.", ".$correo_rrhh;

	//$headers.="X-Mailer: PHP/". phpversion()."\r\n";
	//$headers.="MIME-Version: 1.0 \r\n";
	//$headers.="Content-Type: text/html; charset=iso-8859-1\r\n";
	$headers.="From:SAIREH Nomina <info@saireh-nomina.com>\r\n";
	mail("$destinatario",utf8_decode("$asunto"),utf8_decode("$mensaje"),"$headers");

	echo "<script> alert('Notificación solicitada');
			window.location.assign('aprobacion_novedades_nomina.php');
		 </script>";
}

echo "<font face='verdana' size=2>";

if (isset($_POST['aprobarTodos'])) {
    $id = $_POST['select'];
    while(true){
        $item1 = current($id);
        $idNovedad = (($item1 !== false) ? $item1 : ', &nbsp;');
        $idNovedad = intval($idNovedad);
        $query = "UPDATE novedades SET estado_novedad = 'Aprobada', autorizado_rechazado_por = '$cargado_por' WHERE id_novedad = $idNovedad";
        $consulta=mysqli_query($enlace,$query);
        $resultado=mysqli_num_rows($consulta);
        $item1 = next($id);
        if($item1 === false)break;
    }
    echo "<p class='regristrado'>Novedades aprobadas correctamente<p>";
}

if(isset($_POST['rechazarTodos'])){
    $id = $_POST['select'];
    while(true){
        $item1 = current($id);
        $idNovedad = (($item1 !== false) ? $item1 : ', &nbsp;');
        $idNovedad = intval($idNovedad);
        // var_dump($idNovedad);
        $query = "UPDATE novedades SET estado_novedad = 'Rechazada', autorizado_rechazado_por = '$cargado_por' WHERE id_novedad = $idNovedad";
        $consulta=mysqli_query($enlace,$query);
        $resultado=mysqli_num_rows($consulta);
        $item1 = next($id);
        if($item1 === false)break;
    }
    echo "<p class='noregristrado' style=''>Novedades rechazadas correctamente<p>";
}

/* Permisos para mostrar las novedades que puede aprobar:
		Si es Gerente, solo muestra los empleados donde el es gerente
		Si es RRHH y tiene el permiso de aprobación de novedades muestre todos los empleados
		Si es Supervisor y tiene el permiso de aprobación de novedades solo donde el es supersivor
*/
$query_aprobar="";
$rol_usuario= $_SESSION['rol'];
$position_number = $_SESSION['position_number'];

if ($_SESSION['usuario_validar']=='MASTER' || $_SESSION['usuario_validar']=='SAIREHSOPORTE'){
	//Consulta de novedades pendientes por aprobar
			$query_aprobar = "SELECT nv.*, pe.* FROM novedades nv INNER JOIN personal pe ON pe.codigo = nv.codigo WHERE nv.estado_novedad = 'Por aprobar' AND nv.fecha_inicio_novedad>= '$fecha_inicio_periodo' AND nv.fecha_inicio_novedad <='$fecha_fin_periodo' AND nv.id = ".$_SESSION['id_validar']." ORDER BY pe.codigo";
}else{
switch ($rol_usuario) {
	case 'supervisor':
			//Consulta de novedades pendientes por aprobar
			$query_aprobar = "SELECT nv.*, pe.* FROM novedades nv INNER JOIN personal pe ON pe.codigo = nv.codigo WHERE nv.estado_novedad = 'Por aprobar' AND nv.fecha_inicio_novedad>= '$fecha_inicio_periodo' AND nv.fecha_inicio_novedad <='$fecha_fin_periodo' AND nv.id = ".$_SESSION['id_validar']." AND pe.supervisor = ".$position_number." ORDER BY pe.codigo";
		break;
	case 'rrhh':
			//Consulta de novedades pendientes por aprobar
			$query_aprobar = "SELECT nv.*, pe.* FROM novedades nv INNER JOIN personal pe ON pe.codigo = nv.codigo WHERE nv.estado_novedad = 'Por aprobar' AND nv.fecha_inicio_novedad>= '$fecha_inicio_periodo' AND nv.fecha_inicio_novedad <='$fecha_fin_periodo' AND nv.id = ".$_SESSION['id_validar']." ORDER BY pe.codigo";
		break;
	case 'gerente':
		//Consulta de novedades pendientes por aprobar
		$query_aprobar = "SELECT nv.*, pe.* FROM novedades nv INNER JOIN personal pe ON pe.codigo = nv.codigo WHERE nv.estado_novedad = 'Por aprobar' AND nv.fecha_inicio_novedad >= '$fecha_inicio_periodo' AND nv.fecha_inicio_novedad <='$fecha_fin_periodo' AND nv.id = ".$_SESSION['id_validar']." AND pe.gerente = ".$position_number." ORDER BY pe.codigo";
		break;
}
}

$consulta=mysqli_query($enlace,$query_aprobar);
//Crea array para recorrer las novedades a aprobar
$array_por_aprobar = array();
while( $row = mysqli_fetch_assoc($consulta)){
	$array_por_aprobar[] = $row;
}


//Consulta de novedades aprobadas y rechazadas del periodo

if ($rol_usuario== 'rrhh' || $_SESSION['usuario_validar']=='MASTER' || $_SESSION['usuario_validar']=='SAIREHSOPORTE'){
$query_aprob_rech = "SELECT nv.*, pe.* FROM novedades nv INNER JOIN personal pe ON pe.codigo = nv.codigo WHERE nv.estado_novedad IN ('Aprobada','Rechazada') AND nv.fecha_inicio_novedad >= '$fecha_inicio_periodo' AND nv.fecha_inicio_novedad <='$fecha_fin_periodo' AND nv.id = ".$_SESSION['id_validar']." ORDER BY pe.codigo";
}
else
	$query_aprob_rech = "SELECT nv.*, pe.* FROM novedades nv INNER JOIN personal pe ON pe.codigo = nv.codigo WHERE nv.estado_novedad IN ('Aprobada','Rechazada') AND nv.fecha_inicio_novedad >= '$fecha_inicio_periodo' AND nv.fecha_inicio_novedad <='$fecha_fin_periodo' AND nv.id = ".$_SESSION['id_validar']." AND pe.gerente = ".$position_number." ORDER BY pe.codigo";

$consulta_aprob_rech = mysqli_query($enlace,$query_aprob_rech);
//Crea array para recorrer los conceptos que se enviaran a la API
$array_aprob_rechz = array();
while( $row = mysqli_fetch_assoc( $consulta_aprob_rech)){
	$array_aprob_rechz[] = $row; // Inside while loop
}

//Valida si ha notificado la aprobación de novedades el usuario que ingresa a esta vista
$query_historico="SELECT * FROM historico_aprobaciones WHERE position_number = '$position_number' AND desperiodo = '$desperiodo' AND accion ='aprobacion_ejecutada'";
$consulta_historico_aprob_ejec=mysqli_query($enlace,$query_historico);

?>
<head>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>
<link rel="stylesheet" href="css/timepicker.min.css">
<script src="js/timepicker.min.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src='js/bootstrap.min.js'></script>

</head>
<style>
	.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
		color: #fff;
		text-decoration: none;
		background-color: #337ab7;
		outline: 0;
	}
	#tabla_novedades .horas_extras, .ausencia_medica, .validado_por_sso, .justificacion_ausencia, .remunerado_ausencia, .tiempo_viaje_ausencia, .ausencia, .ausencia_programada, .tipo_permiso_ausencia, .retardo, .salida_anticipada, .horassalida_anticipada, .datos_trabajador, .hora_salida_ausencia, .hora_llegada_ausencia  {
  	display: none;
	}
	#ocultar {
  	display: none;
	}

	.form-control-time {
	width: 80px;
    height: 34px;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
	}
	.boton{
    /* width: 100%; */
    color: #FFFFFF;
    /* font-size: 0.8725em; */
    padding: 7px;
    margin-bottom: 5px;
    margin-top: 10px;
    outline: none;
    /* margin: 5px 0; */
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    background: #36C1E2;
    border: 0px solid #DFDFDF;
	border-radius: 8px;   /* ← Bordes redondeados */
	}
	.boton:hover {
    background: #2aa9c7;      /* tono más oscuro para dar profundidad */
    transform: scale(1.04);   /* ligero zoom */
    box-shadow: 0 4px 10px rgba(0,0,0,0.15); /* sombra suave */
    cursor: pointer;
	}

    .glyphicon-modal-window:before{content:"\e237"}
    .modal-open{overflow:hidden}
    .modal{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1050;display:none;overflow:hidden;-webkit-overflow-scrolling:touch;outline:0}
    .modal.fade .modal-dialog{-webkit-transform:translate(0,-25%);-ms-transform:translate(0,-25%);-o-transform:translate(0,-25%);transform:translate(0,-25%);-webkit-transition:-webkit-transform .3s ease-out;-o-transition:-o-transform .3s ease-out;transition:-webkit-transform .3s ease-out;transition:transform .3s ease-out;transition:transform .3s ease-out,-webkit-transform .3s ease-out,-o-transform .3s ease-out}
    .modal.in .modal-dialog{-webkit-transform:translate(0,0);-ms-transform:translate(0,0);-o-transform:translate(0,0);transform:translate(0,0)}
    .modal-open .modal{overflow-x:hidden;overflow-y:auto}
    .modal-dialog{position:relative;width:auto;margin:10px}
    .modal-content{position:relative;background-color:#fff;background-clip:padding-box;border:1px solid #999;border:1px solid rgba(0,0,0,.2);border-radius:6px;-webkit-box-shadow:0 3px 9px rgba(0,0,0,.5);box-shadow:0 3px 9px rgba(0,0,0,.5);outline:0}
    .modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1040;background-color:#000}
    .modal-backdrop.fade{filter:alpha(opacity=0);opacity:0}
    .modal-backdrop.in{filter:alpha(opacity=50);opacity:.5}
    .modal-header{padding:15px;border-bottom:1px solid #e5e5e5}
    .modal-header .close{margin-top:-2px}
    .modal-title{margin:0;line-height:1.42857143}
    .modal-body{position:relative;padding:15px}
    .modal-footer{padding:15px;text-align:right;border-top:1px solid #e5e5e5}
    .modal-footer .btn+.btn{margin-bottom:0;margin-left:5px}
    .modal-footer .btn-group .btn+.btn{margin-left:-1px}
    .modal-footer .btn-block+.btn-block{margin-left:0}
    .modal-scrollbar-measure{position:absolute;top:-9999px;width:50px;height:50px;overflow:scroll}@media (min-width:768px){.modal-dialog{width:600px;margin:30px auto}
    .modal-content{-webkit-box-shadow:0 5px 15px rgba(0,0,0,.5);box-shadow:0 5px 15px rgba(0,0,0,.5)}
    .modal-sm{width:300px}}@media (min-width:992px){.modal-lg{width:900px}}
    .tooltip{position:absolute;z-index:1070;display:block;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;font-style:normal;font-weight:400;line-height:1.42857143;line-break:auto;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;word-spacing:normal;word-wrap:normal;white-space:normal;font-size:12px;filter:alpha(opacity=0);opacity:0}
    .tooltip.in{filter:alpha(opacity=90);opacity:.9}
</style>

<style>

/*the container must be positioned relative:*/
.autocomplete {
  position: relative;
  display: inline-block;
  text-transform: capitalize;
}
.autocompletar{
	text-transform: capitalize;
}
.regristrado{
	color: green;
	margin-left: 7%;
	font-weight: bold;
}

.noregristrado{
	color: red;
	margin-left: 7%;
	font-weight: bold;
}

.autocomplete-items {
  position: absolute;
  border: 1px solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  /*position the autocomplete items to be the same width as the container:*/
  top: 100%;
  left: 0;
  right: 0;
}

.autocomplete-items div {
  padding: 5px;
  cursor: pointer;
  background-color: #fff;
  border-bottom: 1px solid #d4d4d4;
}

/*when hovering an item:*/
.autocomplete-items div:hover {
  background-color: #e9e9e9;
}

/*when navigating through the items using the arrow keys:*/
.autocomplete-active {
  background-color: DodgerBlue !important;
  color: #ffffff;
}

.modal-header .close{margin-top:-22px}

.modal-body {
	position: relative;
	padding-top: 20px;
	padding-left: 20px;
	padding-bottom: 0px;
}

.table > tbody > tr > td{
  padding: 2px;
  line-height: 1.42857143;
  vertical-align: middle;
  border-top: 0px;
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th{
	padding-top: 10px;
	padding-bottom: 10px;
	line-height: 1.42857143;
	vertical-align: middle;
	border-top: 0px;
}

tr.border_bottom td {
  border-bottom: 1px solid #035493;
}

.table {
    border-spacing: 2;
    font-size: 12;
    border-collapse: collapse;
}

.input[type="radio"], input[type="checkbox"] {
    margin: auto;
    margin-top: 1px \9;
    line-height: normal;
}
.text-center {
    text-align: right;
}

.label_status_aprobada{
	background-color: #7dbe2c !important;
	color: #fff;
	display: inline;
	padding: .2em .6em .3em;
	font-size: 90%;
	font-weight: 700;
	line-height: 1;
	text-align: center;
	white-space: nowrap;
	vertical-align: baseline;
}

.label_status_rechazada{
	background-color: #FF0000 !important;
	color: #fff;
	display: inline;
	padding: .2em .6em .3em;
	font-size: 90%;
	font-weight: 700;
	line-height: 1;
	text-align: center;
	white-space: nowrap;
	vertical-align: baseline;
}

</style>

<!-- Modal Impresión de detalle de novedades-->
<div class="modal fade" id="empModal" role="dialog">
		<div class="modal-dialog ">
				<!-- Modal content-->
				<div class="modal-content">
						<div class="modal-header">
								<h4 class="modal-title">Información de novedad</h4>
							<button type="button" class="close" data-dismiss="modal">&times;</button>
						</div>
						<div class="modal-body">
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" style="background-color: #36C1E2; color: #FFFFFF;" data-dismiss="modal">Cerrar</button>
						</div>
				</div>
		</div>
</div>

<?php
//////////////////////////////////////////////////////////////////////////////// INICIO MENU DE OPCIONES


if (mysqli_num_rows($consulta_historico_aprob_ejec)==0){ //No ha notificado la aprobación de novedades
	echo "<b>Opciones:</b> ";
	echo "&nbsp;&nbsp;<img border = 0 src='img2/reporte.png' alt='Modificar'><a href='#' id='notificarAprobacion'> Notificar aprobación de novedades</a>";
}

echo "<main class='container'>";
echo "<section class='row text-center'>";
echo "<h2 class='text-dark text-left' style='padding-bottom: 10px;'><b>Aprobaci&oacute;n de novedades de N&oacute;mina</b></h2>";

//Recorre cada concepto de cada empleado
$query_aprobar='';
switch ($rol_usuario) {
	case 'supervisor':
		$query_aprobar = "SELECT DISTINCT pe.supervisor AS position_number, tu.detalle AS nombres FROM personal AS pe INNER JOIN tab_usuario AS tu ON tu.position_number = pe.supervisor WHERE pe.status != 'I' AND pe.id = '100' AND pe.supervisor NOT IN ('NULL', '')";
		break;
	case 'gerente':
		$query_aprobar = "SELECT DISTINCT pe.supervisor AS position_number, tu.detalle AS nombres FROM personal AS pe INNER JOIN tab_usuario AS tu ON tu.position_number = pe.supervisor WHERE pe.status != 'I' AND pe.id = '100' AND pe.supervisor AND pe.gerente = '".$position_number."' NOT IN ('NULL', '')";
		break;
}

if ($query_aprobar1!=''){
	$consulta=mysqli_query($enlace,$query_aprobar);
	$numero_supervisores = mysqli_num_rows($consulta);
}

if ($numero_supervisores>0){

	echo "<main class='container'>";
	echo "<section class='row text-center'>";
	echo "<h4 class='text-dark text-left'>Estado de solicitud de aprobación de novedades por supervisor</h4>";
	echo "<div class='col-sm-8 justify-content-center m-auto'>";
	echo "<table class='table table-hover'>
				<thead style='background-color: #36C1E2; color: white;'>
	      <tr>
	        <th scope='col' style='padding-left: 10px;'>Supervisor</th>
	        <th scope='col'>Fecha de solicitud</th>
	        <th scope='col'>Estado</th>
	      </tr>
	  	</thead>
	  <tbody>";

	while($row = mysqli_fetch_assoc($consulta)){
		$position_number_supervisor = $row['position_number'];
		$desperiodo = $fecha_inicio_periodo." al ".$fecha_fin_periodo;

		//Consulta para el periodo actual si ha solicitado aprobación de novedades
		$query_historico="SELECT * FROM historico_aprobaciones WHERE (position_number = '00178597'  AND desperiodo = '$desperiodo' AND accion ='solicitud_aprobacion'";
		$consulta_historico_sol_aprob=mysqli_query($enlace,$query_historico);
		$row_hist = mysqli_fetch_assoc($consulta_historico_sol_aprob);

		if (mysqli_num_rows($consulta_historico_sol_aprob)>0){
			echo "<td valign='middle' style='padding-left: 10px;'>".ucwords(strtolower($row['nombres']))."</td>
						<td valign='middle'>".$row_hist['fecha_solicitud']."</td>
						<td valign='middle'>Aprobación de novedades solicitada</td>";
			echo "</tr>";

		}else{
			echo "<td valign='middle' style='padding-left: 10px;'>".ucwords(strtolower($row['nombres']))."</td>
						<td valign='middle'>-</td>
						<td valign='middle'>No ha solicitado aprobación</td>";
			echo "</tr>";
		}
	}
	echo "</tbody></table></div>";
	echo "</section>";
	echo "</main>";
}


echo "<h4 class='text-dark text-left'>Novedades por aprobar</h4>";
echo "<div class='col-sm-12 justify-content-center m-auto'>";
echo "<form autocomplete='off' name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";

echo "<input type = 'hidden' name = 'inicio' value = '1'>";
echo "<table class='table table-hover'>
			<thead style='background-color: #36C1E2; color: white;'>
      <tr width='50'>
        <th scope='col'><input type='checkbox' name='select' id='selectAll' style='margin-left:8px'></th>
        <th scope='col'>Cédula</th>
        <th scope='col'>Nombres</th>
        <th scope='col'>Tipo de novedad</th>
        <th scope='col'>Fecha de novedad</th>
        <th scope='col'>Hora ingreso</th>
        <th scope='col'>Hora salida</th>
        <th scope='col'>Cargada por</th>

        <th scope='col'></th>
      </tr>
  	</thead>
  <tbody>";

//Valida si no hay novedades que aprobar
if (count($array_por_aprobar)==0){
	echo "<tr><td colspan = 4>No hay novedades que aprobar</td></tr>";
}

//Recorre cada concepto de cada empleado
for ($row = 0; $row < count($array_por_aprobar); $row++) {
	//Recoge registros
	$id_novedad = $array_por_aprobar[$row]['id_novedad'];
	$cedula = $array_por_aprobar[$row]['codigo'];
	$nombres= $array_por_aprobar[$row]['nombres'];
	//$nombres1=$array_por_aprobar[$row]['nombres1'];
	$apellidos=$array_por_aprobar[$row]['apellidos'];
	//$apellidos1=$array_por_aprobar[$row]['apellidos1'];
	$nombre="$nombres $nombres1 $apellidos $apellidos1";
  $nombre= ucwords(strtolower($nombre));
	$hora_ingreso= utf8_encode(date("H:i" , strtotime($array_por_aprobar[$row]['hora_ingreso'])));
	$hora_salida= utf8_encode(date("H:i" , strtotime($array_por_aprobar[$row]['hora_salida'])));
	$fecha_inicio_novedad=$array_por_aprobar[$row]['fecha_inicio_novedad'];
	$fecha_fin_novedad=$array_por_aprobar[$row]['fecha_fin_novedad'];
	$cargado_por=$array_por_aprobar[$row]['cargado_por'];


	if ($fecha_fin_novedad == ''){
		$fecha_novedad = $fecha_inicio_novedad;
	}else{
		$fecha_novedad = $fecha_inicio_novedad." a ".$fecha_fin_novedad;
	}

	$tipo_novedad_modal=strtolower($array_por_aprobar[$row]['tipo_novedad']);
	$tipo_novedad=$array_por_aprobar[$row]['tipo_novedad'];
	$tipo_novedad = ucwords(strtolower(str_replace("_"," ",$tipo_novedad)));

	//Valida si en el siguiente registro cambia la cedula para entonces generar el neto a pagar de dicho empleado
	if ($array_por_aprobar[$row+1]['codigo']!=$cedula){
		echo "<tr class='border_bottom'>";
	}else {
		echo "<tr>";
	}

	echo "<td valign='middle' ><input type='checkbox' name='select[]' class='select' value='".$id_novedad."' style='margin-left:8px'></td>
        <td valign='middle'>".$cedula."</td>
        <td valign='middle'>".$nombre."</td>
        <td valign='middle'>".$tipo_novedad."</td>
        <td valign='middle'>".$fecha_novedad."</td>
        <td valign='middle'>".$hora_ingreso."</td>
        <td valign='middle'>".$hora_salida."</td>
        <td valign='middle'>".$cargado_por."</td>

	   <td valign='middle'>
						<button type='button' data-id='".$id_novedad."' class='boton' onclick='verNovedad(".$id_novedad.",`$tipo_novedad_modal`);' style='font-size: 10px;'>Ver</button>
        </td>";
  echo "</tr>";
}
echo "</tbody></table></div>";

if (count($array_por_aprobar)!=0){
	echo "<div>";
	echo  "<input name='aprobarTodos' type='submit' class='boton' value='Aprobar'></input>
	      <input name='rechazarTodos' type='submit' class='boton' style='background-color: red;' value='Rechazar'></input>
				</div>";
}
echo "</form>";
echo "</section>";
echo "</main>";
echo "<hr></hr>";



//A continuación se imprimen las novedades aprobadas y rechazadas

echo "<main class='container'>";
echo "<section class='row text-center'>";
echo "<h4 class='text-dark text-left'>Novedades Aprobadas y Rechazadas</h4>";
echo "<div class='col-sm-12 justify-content-center m-auto'>";
echo "<table class='table table-hover'>
			<thead style='background-color: #36C1E2; color: white;'>
      <tr width='50'>
        <th scope='col' style='padding-left: 10px;'>Cédula</th>
        <th scope='col'>Nombres</th>
        <th scope='col'>Tipo de novedad</th>
				<th scope='col'>Estado</th>
        <th scope='col'>Fecha de novedad</th>
        <th scope='col'>Hora ingreso</th>
        <th scope='col'>Hora salida</th>
        <th scope='col'></th>
      </tr>
  	</thead>
  <tbody>";
	//Valida si no hay novedades que aprobar

	if (count($array_aprob_rechz)==0){
		echo "<tr><td colspan = 4>No hay novedades aprobadas</td></tr>";
	}


	//Recorre cada concepto de cada empleado
	for ($row = 0; $row < count($array_aprob_rechz); $row++) {
		//Recoge registros
		$id_novedad = $array_aprob_rechz[$row]['id_novedad'];
		$cedula = $array_aprob_rechz[$row]['codigo'];
		$nombres= $array_aprob_rechz[$row]['nombres'];
		$nombres1=$array_aprob_rechz[$row]['nombres1'];
		$apellidos=$array_aprob_rechz[$row]['apellidos'];
		$apellidos1=$array_aprob_rechz[$row]['apellidos1'];
		$nombre="$nombres $nombres1 $apellidos $apellidos1";
	  $nombre= ucwords(strtolower($nombre));
		$hora_ingreso= utf8_encode(date("H:i" , strtotime($array_aprob_rechz[$row]['hora_ingreso'])));
		$hora_salida= utf8_encode(date("H:i" , strtotime($array_aprob_rechz[$row]['hora_salida'])));
		$fecha_inicio_novedad=$array_aprob_rechz[$row]['fecha_inicio_novedad'];
		$fecha_fin_novedad=$array_aprob_rechz[$row]['fecha_fin_novedad'];
		$estado_novedad=$array_aprob_rechz[$row]['estado_novedad'];

		if ($estado_novedad=='Aprobada'){
			$estado_novedad_impr= "<span class = 'label_status_aprobada'>Aprobada</span>";
		}else if ($estado_novedad=='Rechazada'){
			$estado_novedad_impr= "<span class = 'label_status_rechazada'>Rechazada</span>";
		}

		if ($fecha_fin_novedad == ''){
			$fecha_novedad = $fecha_inicio_novedad;
		}else{
			$fecha_novedad = $fecha_inicio_novedad." a ".$fecha_fin_novedad;
		}

		$tipo_novedad_modal=strtolower($array_aprob_rechz[$row]['tipo_novedad']);
		$tipo_novedad=$array_aprob_rechz[$row]['tipo_novedad'];
		$tipo_novedad = ucwords(strtolower(str_replace("_"," ",$tipo_novedad)));

		//Valida si en el siguiente registro cambia la cedula para entonces generar el neto a pagar de dicho empleado
		if ($array_aprob_rechz[$row+1]['codigo']!=$cedula){
			echo "<tr class='border_bottom'>";
		}else {
			echo "<tr>";
		}

		echo "<td valign='middle' style='padding-left: 10px;'>".$cedula."</td>
	        <td valign='middle'>".$nombre."</td>
	        <td valign='middle'>".$tipo_novedad."</td>
					<td valign='middle'>".$estado_novedad_impr."</td>
	        <td valign='middle'>".$fecha_novedad."</td>
	        <td valign='middle'>".$hora_ingreso."</td>
	        <td valign='middle'>".$hora_salida."</td>
	        <td valign='middle'>
							<button type='button' data-id='".$id_novedad."' class='boton' onclick='verNovedad(".$id_novedad.",`$tipo_novedad_modal`);' style='font-size: 10px;'>Ver</button>
	        </td>";
	  echo "</tr>";
	}
echo "</tbody></table></div>";
echo "</section>";
echo "</main>";
?>

<script>
		$("#notificarAprobacion").on('click', function() {
			var result = confirm('¿Seguro quieres notificar aprobación de novedades?\n\n¡¡Atención!!\nEsto quiere decir que no será posible aprobar más novedades para este periodo');
			if (result) {
				window.location = "aprobacion_novedades_nomina.php?accion=notificacion_g6584";
			}
		});

    $('#selectAll').on('click',function(){
      if( $(this).is(':checked') ){
         $('.select').prop('checked',true);
      } else {
          $('.select').prop('checked',false);
      }
    });

		// Ver registros de novedades en modal
		function verNovedad(id_novedad,tipo_novedad){
		  var parametros = {id_novedad,tipo_novedad};
		  // AJAX request
		  $.ajax({
		    url: 'autocompletar/consulta_novedades.php',
		    type: 'post',
		    data: parametros,
		    success: function(response){
		      // Add response in Modal body
		      $('.modal-body').html(response);
		      // Display Modal
		      $('#empModal').modal('show');
		    }
		  });
		}
</script>
</body>
</html>
